Upload an attachment for a dispute
curl --request POST \
--url https://api-dev.rain.xyz/v1/issuing/disputes/{disputeId}/attachments \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form attachment='@example-file'import requests
url = "https://api-dev.rain.xyz/v1/issuing/disputes/{disputeId}/attachments"
files = { "attachment": ("example-file", open("example-file", "rb")) }
headers = {"Api-Key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('attachment', '<string>');
const options = {method: 'POST', headers: {'Api-Key': '<api-key>'}};
options.body = form;
fetch('https://api-dev.rain.xyz/v1/issuing/disputes/{disputeId}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"fileName": "<string>",
"mimetype": "<string>",
"fileSizeBytes": 1,
"uploadedAt": "2023-11-07T05:31:56Z"
}Disputes
Upload an attachment for a dispute
Upload a file as evidence for a dispute. Maximum file size is 20MB. Each dispute can have up to 20 attachments.
POST
/
issuing
/
disputes
/
{disputeId}
/
attachments
Upload an attachment for a dispute
Authorizations
Path Parameters
ID of the dispute
Body
multipart/form-data
Attachment to upload
The file to upload (max 20MB)
Maximum string length:
20971520Response
Attachment created
The attachment's unique identifier
The original filename of the attachment
The MIME type of the attachment
The file size in bytes
Required range:
x >= 0The time at which the attachment was uploaded